UnicodeDecodeError

Django, Flask, Bottle, WSGI, CGI…
Antworten
ph/hp
User
Beiträge: 4
Registriert: Dienstag 29. Mai 2007, 14:06

Dienstag 29. Mai 2007, 14:20

Hallo zusammen,

nach einem Update auf eine neue Python-Version funktioniert meine Plone/Zope Installation nicht mehr.

Ich habe schon einiges zu diesem Fehler gelesen, konnte mir bisher aber nicht weiterhelfen.

Hat vielleicht von euch jemand eine Idee zu diesem Fehler:
Site Error

An error was encountered while publishing this resource.

UnicodeDecodeError
Sorry, a site error occurred.

Traceback (innermost last):

* Module ZPublisher.Publish, line 202, in publish_module_standard
* Module Products.PlacelessTranslationService.PatchStringIO, line
34, in new_publish
* Module ZPublisher.Publish, line 150, in publish
* Module Zope2.App.startup, line 221, in zpublisher_exception_hook
* Module ZPublisher.Publish, line 119, in publish
* Module ZPublisher.mapply, line 88, in mapply
* Module ZPublisher.Publish, line 42, in call_object
* Module Shared.DC.Scripts.Bindings, line 313, in __call__
* Module Shared.DC.Scripts.Bindings, line 350, in _bindAndExec
* Module Products.PageTemplates.ZopePageTemplate, line 331, in _exec
* Module Products.PageTemplates.ZopePageTemplate, line 427, in
pt_render
* Module Products.PageTemplates.PageTemplate, line 89, in pt_render
* Module zope.pagetemplate.pagetemplate, line 117, in pt_render
Warning: Macro expansion failed
Warning: exceptions.KeyError: 'scripts'
* Module zope.tal.talinterpreter, line 271, in __call__
* Module zope.tal.talinterpreter, line 346, in interpret
* Module zope.tal.talinterpreter, line 891, in do_useMacro
* Module zope.tal.talinterpreter, line 346, in interpret
* Module zope.tal.talinterpreter, line 536, in do_optTag_tal
* Module zope.tal.talinterpreter, line 521, in do_optTag
* Module zope.tal.talinterpreter, line 516, in no_tag
* Module zope.tal.talinterpreter, line 346, in interpret
* Module zope.tal.talinterpreter, line 891, in do_useMacro
* Module zope.tal.talinterpreter, line 346, in interpret
* Module zope.tal.talinterpreter, line 855, in do_condition
* Module zope.tal.talinterpreter, line 346, in interpret
* Module zope.tal.talinterpreter, line 824, in do_loop_tal
* Module zope.tal.talinterpreter, line 346, in interpret
* Module zope.tal.talinterpreter, line 426, in do_startTag

UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 7:
ordinal not in range(128) (Also, the following error occurred while
attempting to render the standard error message, please see the event
log for full details: 'ascii' codec can't decode byte 0xc3 in position
7: ordinal not in range(128))
Vielen Dank für eure Hilfe.
HerbertN
User
Beiträge: 24
Registriert: Mittwoch 14. Februar 2007, 11:29

Dienstag 29. Mai 2007, 15:04

Versuch mal die Datei sitecustomize.py in Python-2.4.4/lib/python2.4/site-packages anzulegen.
Bei mir hat der UnifiedInstaller ein extra python nur für Zope kompiliert. Von daher gibt es auch keine Probleme mit anderen python Programmen.

Achja, der Inhalt der Datei:

Code: Alles auswählen

import sys
sys.setdefaultencoding('utf8')
hth
ph/hp
User
Beiträge: 4
Registriert: Dienstag 29. Mai 2007, 14:06

Dienstag 29. Mai 2007, 15:18

Hat leider nur zu einer neuen Fehlermeldung geführt.
------
2007-05-29T18:14:12 ERROR Zope.SiteErrorLog http://www....../uber-uns/uber-uns/document_view
Traceback (innermost last):
Module ZPublisher.Publish, line 119, in publish
Module ZPublisher.mapply, line 88, in mapply
Module ZPublisher.Publish, line 42, in call_object
Module Shared.DC.Scripts.Bindings, line 313, in __call__
Module Shared.DC.Scripts.Bindings, line 350, in _bindAndExec
Module Products.PageTemplates.ZopePageTemplate, line 331, in _exec
Module Products.PageTemplates.ZopePageTemplate, line 428, in pt_render
AssertionError
------
2007-05-29T18:14:12 ERROR Zope.SiteErrorLog http://www...../portal_javascripts/Plon ... index_html
Traceback (innermost last):
Module ZPublisher.Publish, line 110, in publish
Module ZPublisher.BaseRequest, line 608, in traverse
Module ZPublisher.BaseRequest, line 643, in exec_callables
Module Products.ResourceRegistries.tools.BaseRegistry, line 201, in deferredGetContent
Module Products.ResourceRegistries.tools.BaseRegistry, line 165, in __getitem__
Module Products.ResourceRegistries.tools.JSRegistry, line 218, in getResourceContent
Module Products.ResourceRegistries.tools.BaseRegistry, line 465, in getResourceContent
Module Shared.DC.Scripts.Bindings, line 313, in __call__
Module Shared.DC.Scripts.Bindings, line 350, in _bindAndExec
Module Products.CMFCore.FSPageTemplate, line 195, in _exec
Module Products.CMFCore.FSPageTemplate, line 134, in pt_render
Module Products.PageTemplates.PageTemplate, line 89, in pt_render
Module zope.pagetemplate.pagetemplate, line 117, in pt_render
Module zope.tal.talinterpreter, line 271, in __call__
Module zope.tal.talinterpreter, line 346, in interpret
Module zope.tal.talinterpreter, line 536, in do_optTag_tal
Module zope.tal.talinterpreter, line 521, in do_optTag
Module zope.tal.talinterpreter, line 516, in no_tag
Module zope.tal.talinterpreter, line 346, in interpret
Module zope.tal.talinterpreter, line 534, in do_optTag_tal
Module zope.tal.talinterpreter, line 516, in no_tag
Module zope.tal.talinterpreter, line 346, in interpret
Module zope.tal.talinterpreter, line 632, in do_insertText_tal
Module zope.tal.talinterpreter, line 615, in _writeText
Module Products.PlacelessTranslationService.FasterStringIO, line 119, in write
Module ZPublisher.HTTPResponse, line 465, in _encode_unicode
Module encodings.iso8859_15, line 18, in encode
UnicodeEncodeError: 'charmap' codec can't encode character u'\xbc' in position 44: character maps to <undefined>
Benutzeravatar
gerold
Python-Forum Veteran
Beiträge: 5555
Registriert: Samstag 28. Februar 2004, 22:04
Wohnort: Oberhofen im Inntal (Tirol)
Kontaktdaten:

Dienstag 29. Mai 2007, 15:22

ph/hp hat geschrieben:nach einem Update auf eine neue Python-Version funktioniert meine Plone/Zope Installation nicht mehr.
Hallo ph/hp!

1.) Du hast unterschlagen, welches Betriebssystem, welche Python-Versionen (vorher und nachher) und welche Zope-Version du einsetzt.

2.) Eine Zope-Version funktioniert nur mit bestimmten Python-Versionen. Änderst du dieses Verhältnis zueinander, dann kann es Probleme geben. (wie du siehst)

3.) Falls du nur mehr eine Python-Version installiert hast dann mach das Update rückgängig. Kümmere dich darum, dass die alte Python-Version und die neue (beide) installiert sind.

4.) Wenn beide Python-Versionen (die alte und die neue) installiert sind, dann kannst du im Zope-Ordner der Zope-Instanz in den Dateien im "bin"-Ordner die Python-Version auf die ALTE Version einstellen.

mfg
Gerold
:-)
http://halvar.at | Kleiner Bascom AVR Kurs
Wissen hat eine wunderbare Eigenschaft: Es verdoppelt sich, wenn man es teilt.
ph/hp
User
Beiträge: 4
Registriert: Dienstag 29. Mai 2007, 14:06

Mittwoch 30. Mai 2007, 10:07

gerold hat geschrieben:
1.) Du hast unterschlagen, welches Betriebssystem, welche Python-Versionen (vorher und nachher) und welche Zope-Version du einsetzt.

4.) Wenn beide Python-Versionen (die alte und die neue) installiert sind, dann kannst du im Zope-Ordner der Zope-Instanz in den Dateien im "bin"-Ordner die Python-Version auf die ALTE Version einstellen.

mfg
Gerold
:-)
Danke für deine Antwort

1) Das Problem trat nach der Benutzung des Online-Updates von SuSE 9.3 64bit auf. Die alte Versionsnummer ist mir nicht bekannt, es kann sich jedoch nur um einen kleinen Versionssprung handeln. Die aktuelle Version ist 2.4.3. Die Zope-Version ist 2.10.3

4) Ich habe eine weitere Python-Installation mit der Versionsnummer 2.4, damit klappt aber gar nichts. (Geht ja nicht, da Zope Python 2.4.3+ benötigt)
HerbertN
User
Beiträge: 24
Registriert: Mittwoch 14. Februar 2007, 11:29

Mittwoch 30. Mai 2007, 10:32

mein Plone 2.5.2 läuft mit Zope 2.9.x und python 2.4.4 wunderbar.

Ich würde an deiner Stelle versuchen die alten rpms wiederzufinden und einzuspielen, damit deine Seite wieder läuft. Mach dann eine Sicherung von dem Products Ordner und der Data.fs und installiere dein Plone/Zope/Python Gespann von Hand bzw. mit dem unified installer.
Dann kann dir ein Update deines Betriebssystems nicht dazwischenhauen.
Benutzeravatar
Käptn Haddock
User
Beiträge: 167
Registriert: Freitag 24. März 2006, 14:27

Donnerstag 31. Mai 2007, 11:15

ich hatte mit den rpm-Versionen auch immer Probleme :roll:(Vielleicht bin ich aber auch zu blöd/anspruchsvoll dafür:wink: ). Seit dem kompiliere ich mir die Dinge selbst zusammen. Bei mir war die Lösung eines ähnlichen Problems wie bei dir, das Python mit einer ungeeigneten UTF-Einstellung installiert wurde. Du kannst das beim kompilieren von Python einstellen.

Gruß Uwe
---------------------------------
have a lot of fun!
Antworten